// 用户模块api
import {useWxApi} from './modules/user.js'

// 商城模块api
import {useMallApi} from './modules/mall.js'
// 其他公用api
import {useOtherApi} from './modules/other.js'



// 导出api全局安装方法
export const installApiModules = (Vue, vm) => {
	// , useFileApi(Vue, vm), useMallApi(Vue, vm), useCommunityApi(Vue, vm)
	vm.$u.api = Object.assign(
	useWxApi(Vue, vm),
	useMallApi(Vue, vm),
	useOtherApi(Vue, vm)
	)
}
